'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var debounce = require('lodash.debounce');

var delay = exports.delay = function delay(time) {
  return debounce(function (save, state) {
    save(state);
  }, time);
};
var func = delay(2000);

exports.default = function (save) {
  var deBouncer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : func;
  return {
    onChange: function onChange(state) {
      deBouncer(save, state);
    }
  };
};